Bug 89125 - Anaconda crashed in handleRenderCallback reading RHL 9.0 disk 3
Anaconda crashed in handleRenderCallback reading RHL 9.0 disk 3
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-17 17:21 EDT by Jack Kipp
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 20:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Dump from Anaconda. (106.53 KB, text/plain)
2003-04-17 17:24 EDT, Jack Kipp
no flags Details
dump from anaconda (97.34 KB, text/plain)
2003-06-06 00:45 EDT, b ally
no flags Details

  None (edit)
Description Jack Kipp 2003-04-17 17:21:21 EDT
Description of problem:

Anaconda crashed in handleRenderCallback reading disk 3 during an upgrade 
install of RHL 9.0 over RHL 7.1.  Just before the crash, disk 3 was prompted, 
and OK was pressed on the prompt.  The disk was read for several seconds, then 
the crash happened.  At that point, Red Hat Linux 9.0 install aborted.

Version-Release number of selected component (if applicable):

anaconda-9.0-4.i386.rpm

How reproducible:

Every time.  Bug was reproduced twice using the same steps.

Steps to Reproduce:

1. Boot RHL 9.0 disk 1 on a machine with RHL 7.1 installed.
2. Indicate an upgrade install on original root partition.  
3. Select defaults otherwise.
4. Do as directed by prompts through disks 1 and 2.
5. Insert disk 3 when prompted.  Press Ok.   
    
Actual results:

RHL 9.0 install aborted.

Expected results:

RHL 9.0 should have continued.

Additional info:

See attached dump.
Comment 1 Jack Kipp 2003-04-17 17:24:13 EDT
Created attachment 91182 [details]
Dump from Anaconda.
Comment 2 Jeremy Katz 2003-04-22 22:09:30 EDT
Can you attach the /etc/lilo.conf.rpmsave file?
Comment 3 Jack Kipp 2003-04-23 10:29:05 EDT
I plan on attaching /etc/lilo.conf.rpmsave some time next week, week of 28 
April - 2 May 2003.  This week, 21-25 May, I am in class, and do not have 
access to the office Linux computer that experienced the bug.
Comment 4 Jack Kipp 2003-04-25 18:00:30 EDT
Actually, it occurs to me that I no longer have /etc/lilo.conf.rpmsave from RHL 
9.0, and it is not present on my RHL 8.0 installation.  Sorry.  You may wish to 
consider performing the steps described to reproduce the problem, at which 
point presumably a meaningful /etc/lilo.conf.rpmsave would be generated.  Hope 
this helps.
Comment 5 b ally 2003-06-06 00:43:52 EDT
RH9.0 upgrade from RH7.1

I just had the same thing happen yesterday. Anaconda crashed at the package
configuration step, after packages were installed. I'll attach the anaconda
dump. Unfortunately, I don't have the lilo.conf.rpmsave as I decided to do a
clean install (i had backups :-)

I did grab this from the screen when anaconda dropped out:
---- snip ----
XLIB:unexpected async reply (sequence 0x33cab2)!
The program 'anaconda' received an X Window System error.
...
The error was 'BadCursor'.
(Details: serial 3394227 error-code 6 request-code 95 minor-code 0)
---- snip ----

I had chosen to change my bootloader from Lilo to Grub. When I rebooted I got
only an LI, so I think the boot.map was toast. I went in linux single and poked
around a bit, then decided to clean install.
Comment 6 b ally 2003-06-06 00:45:06 EDT
Created attachment 92201 [details]
dump from anaconda
Comment 7 Jeremy Katz 2003-07-28 20:01:13 EDT
Made some cleanups to hopefully fix this

Note You need to log in before you can comment on or make changes to this bug.